Bug 1653993 (CVE-2018-19591)

Summary: CVE-2018-19591 glibc: file descriptor leak in if_nametoindex() in sysdeps/unix/sysv/linux/if_index.c
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abhgupta, aoliva, arjun.is, ashankar, codonell, dbaker, dj, fweimer, glibc-bugzilla, jokerman, law, mfabian, mnewsome, pfrankli, rth, sid, sthangav, trankin
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20181127,reported=20181127,source=internet,cvss3=5.3/CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L,cwe=CWE-400,fedora-all/glibc=affected,rhel-5/glibc=notaffected,rhel-6/glibc=notaffected,rhel-7/glibc=notaffected,openshift-online-2/glibc=notaffected,openshift-online-3/glibc=notaffected,rhel-8/glibc=notaffected,rhel-5/compat-glibc=notaffected,rhel-7/compat-glibc=notaffected,rhel-6/compat-glibc=notaffected
Fixed In Version: glibc 2.29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 10:05:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1654000, 1654010    
Bug Blocks: 1654004    

Description Laura Pardo 2018-11-27 19:58:55 UTC
A flaw was found in glibc before version 2.29. A file descriptor leak in if_nametoindex can lead to a denial of service due to resource exhaustion when processing getaddrinfo calls with crafted host names.


References:
https://sourceware.org/bugzilla/show_bug.cgi?id=23927

Upstream Patch:
https://sourceware.org/ml/libc-alpha/2018-11/msg00698.html

Comment 1 Laura Pardo 2018-11-27 20:01:25 UTC
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1654000]

Comment 3 Stefan Cornelius 2018-11-30 10:05:27 UTC
Statement:

This issue did not affect the versions of glibc as shipped with Red Hat Enterprise Linux 5, 6, and 7.

Comment 4 Fedora Update System 2018-12-04 02:22:52 UTC
glibc-2.27-35.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.